Koala is my favorite GUI tools to complie sass and less file, when I switch the OS from Windows 7 to Ubuntu, it not works again. Why?

First of all, I thought it's Ruby's error, maybe there is no Ruby in my system, and run the command:

ruby --version

it outputs

ruby 2.3.1p112 (2016-04-26) [x86_64-linux-gnu]

so it's not Ruby's fault, and then google it I find the solution

32bit:

$ cd /lib/i386-linux-gnu/ or $cd /usr/lib/

64bit:

$ cd /lib/x86_64-linux-gnu/ or $cd /usr/lib64/

run the command

sudo ln -s libudev.so.1 libudev.so.0

it works :-)